Subject: [Tools-discuss] Rfcmarkup-1.100 feedback: escaping issues

From: Роман Донченко <[email-masked]>
Date: Sun, 08 Apr 2012 22:14:11 +0400

Hello,

I found two problems related to escaping:

* In metadata, quotes are not escaped, yielding ill-formed markup. See, for
example, DC.Description.Abstract in <http://tools.ietf.org/html/rfc6454>.

I believe all you need to do to fix this is to change "cgi.escape(val)" to
"cgi.escape(val, quote=True)" on line 719.

* The title attribute of the reference links, on the other hand, seems to  
be escaped twice, for example, in <http://tools.ietf.org/html/rfc6556>:

[<a href="./rfc5461" title='"TCP&amp;#39;s Reaction to Soft  
Errors"'>RFC5461</a>]

Regards,
Roman.